Creating a Cloud and Nodes
Create a Cloud via the API
Use the POST /v3/flexVM/clouds endpoint with a JSON body.
Example request:
POST /v3/flexVM/clouds
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
{
"name": "My private cloud",
"description": "A cloud I would like to use to create VMs in.",
"site": "frmtl1",
"instance_type": "bm9.hmm.gpu.4rtx4000.64"
}Deleting a Cloud
Use the DELETE /v3/flexVM/clouds/{cloudUuid} endpoint.
Example request:
Scaling Nodes
Nodes are the bare-metal servers that provide the capacity for your Cloud's VMs. You scale a Cloud by adding or removing Nodes. New Nodes use the Cloud's instance type and location, so no request body is required.
Add a Node
Use the POST /v3/flexVM/clouds/{cloudUuid}/nodes endpoint.
Example request:
Remove a Node
Use the DELETE /v3/flexVM/clouds/{cloudUuid}/nodes/{nodeUuid} endpoint.
Example request:
Last updated
Was this helpful?